# Class AttributeInfo

java.lang.Object
org.apache.tomcat.util.modeler.FeatureInfo
org.apache.tomcat.util.modeler.AttributeInfo

All Implemented Interfaces:
  `Serializable`

public class AttributeInfo extends FeatureInfo
Internal configuration information for an `Attribute` descriptor.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`displayName`
Human-readable display name for this attribute.
`protected String`
`getMethod`
Name of the getter method for this attribute.
`protected boolean`
`is`
Whether this is a boolean attribute with an "is" getter.
`protected boolean`
`readable`
Whether this attribute can be read by management applications.
`protected String`
`setMethod`
Name of the setter method for this attribute.
`protected boolean`
`writeable`
Whether this attribute can be written by management applications.

### Fields inherited from class FeatureInfo

`description, info, name, type`

## Constructor Summary

Constructors
Constructor
Description
`AttributeInfo()`
Constructs a new AttributeInfo instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the display name of this attribute.
`String`
`getGetMethod()`
Returns the name of the property getter method, generating a default if not explicitly set.
`String`
`getSetMethod()`
Returns the name of the property setter method, generating a default if not explicitly set.
`boolean`
`isIs()`
Is this a boolean attribute with an "is" getter?
`boolean`
`isReadable()`
Is this attribute readable by management applications?
`boolean`
`isWriteable()`
Is this attribute writable by management applications?
`void`
`setDisplayName(String displayName)`
Sets the display name of this attribute.
`void`
`setGetMethod(String getMethod)`
Sets the name of the property getter method.
`void`
`setIs(boolean is)`
Sets whether this is a boolean attribute with an "is" getter.
`void`
`setReadable(boolean readable)`
Sets whether this attribute is readable by management applications.
`void`
`setSetMethod(String setMethod)`
Sets the name of the property setter method.
`void`
`setWriteable(boolean writeable)`
Sets whether this attribute is writable by management applications.

### Methods inherited from class FeatureInfo

`getDescription, getName, getType, setDescription, setName, setType`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### displayName

protected String displayName
Human-readable display name for this attribute.

### getMethod

protected String getMethod
Name of the getter method for this attribute.

### setMethod

protected String setMethod
Name of the setter method for this attribute.

### readable

protected boolean readable
Whether this attribute can be read by management applications.

### writeable

protected boolean writeable
Whether this attribute can be written by management applications.

### is

protected boolean is
Whether this is a boolean attribute with an "is" getter.

## Constructor Details

### AttributeInfo

public AttributeInfo()
Constructs a new AttributeInfo instance.

## Method Details

### getDisplayName

public String getDisplayName()
Returns the display name of this attribute.

Returns:
  the display name of this attribute

### setDisplayName

public void setDisplayName(String displayName)
Sets the display name of this attribute.

Parameters:
  `displayName` - the display name

### getGetMethod

public String getGetMethod()
Returns the name of the property getter method, generating a default if not explicitly set.

Returns:
  the name of the property getter method

### setGetMethod

public void setGetMethod(String getMethod)
Sets the name of the property getter method.

Parameters:
  `getMethod` - the getter method name

### isIs

public boolean isIs()
Is this a boolean attribute with an "is" getter?

Returns:
  `true` if this is a boolean attribute with an "is" getter

### setIs

public void setIs(boolean is)
Sets whether this is a boolean attribute with an "is" getter.

Parameters:
  `is` - `true` if this is a boolean attribute with an "is" getter

### isReadable

public boolean isReadable()
Is this attribute readable by management applications?

Returns:
  `true` if readable

### setReadable

public void setReadable(boolean readable)
Sets whether this attribute is readable by management applications.

Parameters:
  `readable` - `true` if readable

### getSetMethod

public String getSetMethod()
Returns the name of the property setter method, generating a default if not explicitly set.

Returns:
  the name of the property setter method

### setSetMethod

public void setSetMethod(String setMethod)
Sets the name of the property setter method.

Parameters:
  `setMethod` - the setter method name

### isWriteable

public boolean isWriteable()
Is this attribute writable by management applications?

Returns:
  `true` if writable

### setWriteable

public void setWriteable(boolean writeable)
Sets whether this attribute is writable by management applications.

Parameters:
  `writeable` - `true` if writable